# ChatGenerationParamsPluginAutoRouter


## Fields

| Field                    | Type                     | Required                 | Description              |
| ------------------------ | ------------------------ | ------------------------ | ------------------------ |
| `id`                     | *Literal["auto-router"]* | :heavy_check_mark:       | N/A                      |
| `enabled`                | *Optional[bool]*         | :heavy_minus_sign:       | N/A                      |
| `allowed_models`         | List[*str*]              | :heavy_minus_sign:       | N/A                      |